Page MenuHomePhabricator

Fix AdvancedResearch gadget on French Wikipedia
Closed, ResolvedPublic2 Story Points

Description

Mentors: @kaldari (primary), @NiharikaKohli (secondary)


The AdvancedResearch gadget on French Wikipedia loads, but when you try to interact with it, it throws a JavaScript error:
ReferenceError: os_eventKeyup is not defined

This is probably due to the scope changes introduced by ResourceLoader.

Gadget code: https://fr.wikipedia.org/wiki/MediaWiki:Gadget-AdvancedResearch.js

Event Timeline

kaldari created this task.Nov 4 2015, 5:52 PM
kaldari raised the priority of this task from to Needs Triage.
kaldari updated the task description. (Show Details)
kaldari added a project: Community-Tech.
kaldari added subscribers: Aklapper, kaldari, StudiesWorld.
kaldari triaged this task as Normal priority.Nov 4 2015, 6:20 PM
kaldari added a project: good first bug.
kaldari set Security to None.
kaldari moved this task from Untriaged to To be estimated/discussed on the Community-Tech board.
DannyH edited a custom field.Nov 6 2015, 7:28 PM
Niharika updated the task description. (Show Details)Nov 13 2015, 3:29 AM
Niharika added a project: Google-Code-In-2015.
Niharika added a subscriber: Niharika.
DannyH moved this task from To be estimated/discussed to Estimated on the Community-Tech board.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptAug 1 2016, 11:03 PM
Mvolz updated the task description. (Show Details)Oct 28 2016, 1:10 PM
Mvolz added a subscriber: Mvolz.

Removed "do not claim" bit, but can be readded if anyone wants to mentor it for this year's GCI :P

Od1n added a subscriber: Od1n.Feb 1 2018, 1:04 PM

Fixed by this edit, yet I have removed this code just after as it's no longer needed.

Od1n closed this task as Resolved.Feb 1 2018, 1:25 PM